Package io.axoniq.dataprotection.serialization

## Class FixedValueRevisionResolver

- java.lang.Object
- - io.axoniq.dataprotection.serialization.FixedValueRevisionResolver

- All Implemented Interfaces:
    `RevisionResolver`

      public class FixedValueRevisionResolver
      extends Object
      implements RevisionResolver

  RevisionResolver implementation that returns a fixed value as revision, regardless of the type of serialized object involved. This can be useful when using the application version as Revision, for example.
  Since:
    2.0
  Author:
    Allard Buijze

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FixedValueRevisionResolver​(String revision)` | Initializes the FixedValueRevisionResolver to always return the given `revision`, when asked.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `revisionOf​(Class<?> payloadType)` | Returns the revision for the given `payloadType`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedValueRevisionResolver

          public FixedValueRevisionResolver​(String revision)

      Initializes the FixedValueRevisionResolver to always return the given `revision`, when asked.
      Parameters:
        `revision` - The revision to return

  - ### Method Detail

    - #### revisionOf

          public String revisionOf​(Class<?> payloadType)

      Description copied from interface: `RevisionResolver`
      Returns the revision for the given `payloadType`. The revision is used by upcasters to decide whether they need to process a certain serialized event. Generally, the revision needs to be modified each time the structure of an event has been changed in an incompatible manner.
      Specified by:
        `revisionOf` in interface `RevisionResolver`
      Parameters:
        `payloadType` - The type for which to return the revision
      Returns:
        the revision for the given `payloadType`